Name:           jgraphx
Version:        3.9.3
Release:        %mkrel 3
Epoch:          1
Summary:        Java Graph Drawing Component

Group:          Development/Java
License:        BSD
URL:            http://www.jgraph.com/jgraph.html
Source0:        https://github.com/jgraph/jgraphx/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        bnd.properties

BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  aqute-bnd

BuildArch:      noarch

%description
JGraphX is the a powerful, easy-to-use and feature-rich graph drawing
component for Java. It is a rewrite of JGraph, also known as JGraph 6.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %epoch:%{version}-%{release}

%description javadoc
JavaDoc documentation for %{name}.

%prep
%setup -q
find -name '*.jar' -delete
rm -rf docs/api

%build
ant build maven-jar

#Convert to OSGi bundle
pushd lib
  bnd wrap --output %{name}.bar --properties %{SOURCE1} \
           --version %{version} %{name}.jar

mv %{name}.bar %{name}.jar
popd

%install
%mvn_artifact pom.xml lib/%{name}.jar
%mvn_install -J docs/api/

%files -f .mfiles
%dir %{_javadir}/%{name}
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:3.9.3-3.mga8
+ Revision: 1501829
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:3.9.3-2.mga7
+ Revision: 1278942
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 1:3.9.3-1.mga7
+ Revision: 1214924
- Update to version 3.9.3

* Wed May 11 2016 daviddavid <daviddavid> 1:3.5.0.0-1.mga6
+ Revision: 1012656
- new version: 3.5.0.0 (based on fedora 24)

* Fri Feb 05 2016 umeabot <umeabot> 1:2.9.0.1-5.mga6
+ Revision: 938911
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2.9.0.1-4.mga5
+ Revision: 746436
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.9.0.1-3.mga5
+ Revision: 680805
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 grenoya <grenoya> 1:2.9.0.1-2.mga5
+ Revision: 665152
- new version 2.9.0.1

* Tue Oct 22 2013 umeabot <umeabot> 1:2.2.0.2-2.mga4
+ Revision: 541461
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 grenoya <grenoya> 1:2.2.0.2-1.mga4
+ Revision: 494922
- new version 2.2.0.2

* Mon Jan 21 2013 dmorgan <dmorgan> 1:1.10.4.0-2.mga3
+ Revision: 390381
- Fix requires in the javadoc package

* Tue Jan 15 2013 dmorgan <dmorgan> 1:1.10.4.0-1.mga3
+ Revision: 388229
- New version

* Mon Jan 14 2013 grenoya <grenoya> 1:1.4.1.0-3.mga3
+ Revision: 388121
- fix rights

* Sat Jan 12 2013 umeabot <umeabot> 1:1.4.1.0-2.mga3
+ Revision: 355418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ misc <misc>
- clean BR
+ grenoya <grenoya>
- revert source to 1.4.1.0

* Sat Jun 18 2011 grenoya <grenoya> 1:1.7.0.6-1.mga2
+ Revision: 109479
- update sources

* Mon Mar 28 2011 grenoya <grenoya> 1:1.4.1.0-1.mga1
+ Revision: 78519
- imported package jgraphx


* Fri Jan 21 2011 Paulo Andrade <pcpa@mandriva.com.br> 1:1.4.1.0-1mdv2011.0
+ Revision: 632067
- Update to jgraphx 1.4.1.0

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.0.10-2mdv2011.0
+ Revision: 612447
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.2.0.10-1mdv2010.1
+ Revision: 543285
- downgrade to 1.2.0.10 version due to API mismatch in scilab (use Epoch)

* Tue Apr 06 2010 Yuri Myasoedov <omerta13@mandriva.org> 1.3.1.5-1mdv2010.1
+ Revision: 532285
- jar indexing was added in spec
- new version 1.3.1.5

* Mon Mar 22 2010 Yuri Myasoedov <omerta13@mandriva.org> 1.3.1.3-1mdv2010.1
+ Revision: 526625
- Updating sources
- Updating for new version of jgraphx 1.3.1.3

* Sun Dec 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0.3-1mdv2010.1
+ Revision: 480443
- import jgraphx


